<?php
namespace boru\boruai\Openai\Stream\FunctionCall;

use boru\boruai\Openai\Stream\StreamEvent;

class Completed extends FunctionCallBase {
    const TYPE = "function_call.completed";
    private $output;

    public function output($output=null) {
        if ($output !== null) {
            $this->output = $output;
        }
        return $this->output;
    }

    public function toArray() {
        $return = parent::toArray();
        $return['output'] = $this->output();
        return $return;
    }
}